require sysmocom-image.inc

IMAGE_INSTALL += " task-sysmocom-3g "
 
# Activate osmo-hnbgw, osmo-hlr, osmo-msc, osmo-sgsn and openggsn for 3G
activate_core() {
}

activate_systemd_core() {
	ln -sf ${systemd_unitdir}/system/osmo-hnbgw.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
	ln -sf ${systemd_unitdir}/system/osmo-msc.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
	ln -sf ${systemd_unitdir}/system/osmo-bsc-mgcp.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
	ln -sf ${systemd_unitdir}/system/osmo-sgsn.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
	ln -sf ${systemd_unitdir}/system/osmo-hlr.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
	ln -sf ${systemd_unitdir}/system/openggsn.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
}

IMAGE_PREPROCESS_COMMAND += "${@base_contains('DISTRO_FEATURES','systemd','activate_systemd_core','activate_core',d)}; "
